
#include <stdio.h>

void writeOctaveHead(FILE* file) {
	fprintf(file,"xline = @(xval, varargin) line(xlim, [xval xval], varargin{:}); \n");
	fprintf(file,"A = [\n");
	
}

void writeData6ToOctave(FILE* file, double time, double v1, double v2, double v3, double v4, double v5,double v6) {
	fprintf(file,"%f %f %f %f %f %f %f\n",time,v1,v2,v3,v4,v5,v6);

}

void writeDataAllToOctave(FILE* file, double time, double ph[]) {
	fprintf(file,"%f %f %f %f %f %f %f %f %f %f %f %f %f\n",time,
	ph[0],ph[1],ph[2],ph[3],ph[4],ph[5],
	ph[6],ph[7],ph[8],ph[9],ph[10],ph[11]);

}

void writeOctaveTail(FILE* file,double thresh) {
	fprintf(file,"];\n");
	fprintf(file,"thresh=%f\n",thresh);
	fprintf(file,"t  = A(:,1);\n");

	fprintf(file,"LF = A(:,2);\n");
	fprintf(file,"RF = A(:,3);\n");
	fprintf(file,"LM = A(:,4);\n");
	fprintf(file,"RM = A(:,5);\n");
	fprintf(file,"LR = A(:,6);\n");
	fprintf(file,"RR = A(:,7);\n");	

	fprintf(file,"LF_l = A(:,8);\n");
	fprintf(file,"RF_l = A(:,9);\n");
	fprintf(file,"LM_l = A(:,10);\n");
	fprintf(file,"RM_l = A(:,11);\n");
	fprintf(file,"LR_l = A(:,12);\n");
	fprintf(file,"RR_l = A(:,13);\n");	
	
	fprintf(file,"figure(1)\n");
	fprintf(file,"plot(t,LF,t,LM,t,LR,t,RF,t,RM,t,RR);\n");
	
    fprintf(file,"figure(2)\n");
    
	fprintf(file,"subplot(6,1,1);\n");	
    fprintf(file,"plot(t,LF);\n");
	fprintf(file,"xline(thresh);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");
    fprintf(file,"ylabel('LF');\n");
	
	fprintf(file,"subplot(6,1,2);\n");	
    fprintf(file,"plot(t,LM);\n");
	fprintf(file,"xline(thresh);\n");	
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('LM');\n");
	
	fprintf(file,"subplot(6,1,3);\n");	
    fprintf(file,"plot(t,LR);\n");
	fprintf(file,"xline(thresh);\n");	
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('LR');\n");
	
	
    fprintf(file,"subplot(6,1,4);\n");	
    fprintf(file,"plot(t,RF);\n");
	fprintf(file,"xline(thresh);\n");	
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('RF');\n");


	
    fprintf(file,"subplot(6,1,5);\n");	
    fprintf(file,"plot(t,RM);\n");
	fprintf(file,"xline(thresh);\n");	
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('RM');\n");		


    fprintf(file,"subplot(6,1,6);\n");	
    fprintf(file,"plot(t,RR);\n");
	fprintf(file,"xline(thresh);\n");	
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('RR');\n");	
	
    fprintf(file,"figure(3)\n");
    
	fprintf(file,"subplot(3,1,1);\n");	
    fprintf(file,"plot(t,LF,t,LF_l);\n");
	fprintf(file,"xline(thresh);\n");
	fprintf(file,"axis([0 inf -1.5 1.5]);   \n");
    fprintf(file,"ylabel('LF and LF_l');\n");

	fprintf(file,"subplot(3,1,2);\n");	
    fprintf(file,"plot(t,LM,t,LM_l);\n");
	fprintf(file,"xline(thresh);\n");	
	fprintf(file,"axis([0 inf -1.5 1.5]);   \n");
    fprintf(file,"ylabel('LM and LM_l');\n");
	
	fprintf(file,"subplot(3,1,3);\n");	
    fprintf(file,"plot(t,LR,t,LR_l);\n");
	fprintf(file,"xline(thresh);\n");	
	fprintf(file,"axis([0 inf -1.5 1.5]);   \n");
    fprintf(file,"ylabel('LR and LR_l');\n");	
    
        fprintf(file,"figure(4)\n");
    
	fprintf(file,"subplot(3,1,1);\n");	
    fprintf(file,"plot(t,RF,t,RF_l);\n");
	fprintf(file,"xline(thresh);\n");
	fprintf(file,"axis([0 inf -1.5 1.5]);   \n");
    fprintf(file,"ylabel('RF and RF_l');\n");

	fprintf(file,"subplot(3,1,2);\n");	
    fprintf(file,"plot(t,RM,t,RM_l);\n");
	fprintf(file,"xline(thresh);\n");	
	fprintf(file,"axis([0 inf -1.5 1.5]);   \n");
    fprintf(file,"ylabel('RM and RM_l');\n");
	
	fprintf(file,"subplot(3,1,3);\n");	
    fprintf(file,"plot(t,RR,t,RR_l);\n");
	fprintf(file,"xline(thresh);\n");	
	fprintf(file,"axis([0 inf -1.5 1.5]);   \n");
    fprintf(file,"ylabel('RR and RR_l');\n");		
		
	
}

void writeOctaveTailOld(FILE* file) {
	fprintf(file,"];\n");
	fprintf(file,"t  = A(:,1);\n");
	fprintf(file,"LF = A(:,2);\n");
	fprintf(file,"RF = A(:,3);\n");
	fprintf(file,"LM = A(:,4);\n");
	fprintf(file,"RM = A(:,5);\n");
	fprintf(file,"LR = A(:,6);\n");
	fprintf(file,"RR = A(:,7);\n");	
	fprintf(file,"figure(1)\n");
	fprintf(file,"plot(t,LF,t,RF,t,LM,t,RM,t,LR,t,RR);\n");
	
    fprintf(file,"figure(2)\n");
    
	fprintf(file,"subplot(6,1,1);\n");	
    fprintf(file,"plot(t,LF);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");
    fprintf(file,"ylabel('LF');\n");
	
    fprintf(file,"subplot(6,1,2);\n");	
    fprintf(file,"plot(t,RF);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('RF');\n");

    fprintf(file,"subplot(6,1,3);\n");	
    fprintf(file,"plot(t,LM);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('LM');\n");
	
    fprintf(file,"subplot(6,1,4);\n");	
    fprintf(file,"plot(t,RM);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('RM');\n");		

    fprintf(file,"subplot(6,1,5);\n");	
    fprintf(file,"plot(t,LR);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('LR');\n");

    fprintf(file,"subplot(6,1,6);\n");	
    fprintf(file,"plot(t,RR);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('RR');\n");	
	
}